"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBug = exports.attachScreenShot = exports.updateTestResults = exports.createTestRun = exports.getTestPointID = void 0;
var getTestPointID = function (testPlanID, testSuiteID, testCaseID) {
    return "/".concat(process.env.ORGANISATION, "/").concat(process.env.PROJECT, "/_apis/test/plans/").concat(testPlanID, "/suites/").concat(testSuiteID, "/points?testCaseId=").concat(testCaseID, "&api-version=5.0");
};
exports.getTestPointID = getTestPointID;
var createTestRun = function () {
    return "/".concat(process.env.ORGANISATION, "/").concat(process.env.PROJECT, "/_apis/test/runs?api-version=5.0");
};
exports.createTestRun = createTestRun;
var updateTestResults = function (testRunID) {
    return "/".concat(process.env.ORGANISATION, "/").concat(process.env.PROJECT, "/_apis/test/runs/").concat(testRunID, "/results?api-version=5.1");
};
exports.updateTestResults = updateTestResults;
var attachScreenShot = function (testRunID) {
    return "/".concat(process.env.ORGANISATION, "/").concat(process.env.PROJECT, "/_apis/test/runs/").concat(testRunID, "/results/100000/attachments?api-version=5.0");
};
exports.attachScreenShot = attachScreenShot;
var createBug = function () {
    return "/".concat(process.env.ORGANISATION, "/").concat(process.env.PROJECT, "/_apis/wit/workitems/$bug?api-version=5.0");
};
exports.createBug = createBug;
