export declare const readFileContent: (filePath: string, rootDirectory?: string) => Promise<string>;
/**
 * Function to write to a new file or override the content of the existing file
 * @param filePath
 * @param jsonContent
 * @param rootDirectory
 */
export declare const WriteToJsonFile: (filePath: string, jsonContent: object, rootDirectory?: string) => void;
/**
 * Function to write either write or append to a file depending on whether the key exists
 * @param filename
 * @param key
 * @param value
 */
export declare const writeOrAppendJSONFile: (filename: any, key: string | number, value: any) => Promise<void>;
export declare const findFilePath: (startingDir: string, targetFileName: string) => Promise<string>;
